Subject: Re: bug#24782: 26.0.50; Crash on browse-url

From: Jean Louis <[email-masked]>
Date: Fri, 28 Oct 2016 10:03:24 +0300

Hello,

I have just installed newest ImageMagick:

Version: ImageMagick 7.0.3-4 Q16 x86_64 2016-10-28 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2016 ImageMagick Studio LLC
License: http://www.imagemagick.org/script/license.php
Features: Cipher DPC HDRI Modules OpenMP 
Delegates (built-in): bzlib cairo fftw fontconfig freetype gslib gvc
jng jpeg lcms lqr ltdl lzma pangocairo png ps rsvg tiff webp wmf x xml
zlib

And it was running longer than with older version, but still crashes. 

On Thu, Oct 27, 2016 at 05:44:10PM +0300, Eli Zaretskii wrote:
> > Date: Thu, 27 Oct 2016 09:21:01 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > On Tue, Oct 25, 2016 at 07:52:15PM +0300, Eli Zaretskii wrote:
> > 
> > > If those crashes are reproducible, can you show a complete recipe that
> > > I could try here?
> > 
> > I guess, eww is crashing due to problems with displaying images.
> > 
> > emacs -Q
> > emacs: magick/cache-view.c:644: GetCacheViewVirtualIndexQueue: Assertion `cache_view->image->cache != (Cache) NULL' failed.
> > Fatal error 6: Aborted
> 
> This is an assertion violation inside ImageMagick, so it could be an
> ImageMagick problem.  What version of ImageMagick libraries do you
> have installed?